import { uploadWhiteList } from '@midwayjs/upload';
import { join } from 'path';
/**
 * upload: {
 *    use: 是否使用,默认为true
 *    modelNames: 涉及文件上传的表,['${表名}',...] 会扫描这些表,然后做清理
 * }
 */
export default {
  upload: {
    // mode: UploadMode, 默认为file，即上传到服务器临时目录，可以配置为 stream
    mode: 'file',
    // fileSize: string, 最大上传文件大小，默认为 10mb
    fileSize: '100mb',
    // whitelist: string[]，文件扩展名白名单
    whitelist: uploadWhiteList,
    // tmpdir: string，上传的文件临时存储路径
    tmpdir: join(process.cwd(), 'uploadTemp'),
    // realdir: string 真实上传路径
    realdir: join(process.cwd(), 'upload'),
    // cleanTimeout: number，上传的文件在临时目录中多久之后自动删除，默认为 5 分钟
    cleanTimeout: 5 * 60 * 1000,
    // base64: boolean，设置原始body是否是base64格式，默认为false，一般用于腾讯云的兼容
    base64: false,
    // 自定义属性
    use: true, //默认使用
    // modelNames: ['User'], 每个项目需要设置的.字符串数组,写表名,处理的时候直接就将名字换成model,用来操作数据库.
  },
};
