import { Application, Context } from '@midwayjs/koa';
import { App, Inject } from '@midwayjs/decorator';
/**
 * controller基类,有一些基础函数需要实现
 */
export abstract class BaseController {
  @App()
  app: Application;
  @Inject()
  ctx: Context;
  /**
   * 创建
   * @param args
   */
  abstract create(...args);
  /**
   * 查询
   * @param args
   */
  abstract query(...args);
  /**
   * 单查询
   * @param args
   */
  abstract fetch(...args);
  /**
   * 修改
   * @param args
   */
  abstract update(...args);
  /**
   * 删除
   * @param args
   */
  abstract delete(...args);
  /**
   * 多修改
   * @param args
   */
  abstract updateMany(...args);
  /**
   * 多删除
   * @param args
   */
  abstract deleteMany(...args);
  /**
   * 多创建
   * @param args
   */
  abstract createMany(...args);
}
