/**自定义数据类型: 文件类型 */
import mongoose from 'mongoose';
interface file {
  id: string;
  name: string;
  uri: string;
}
function instanceOfFile(object: object): object is file {
  const have_id = 'id' in object;
  const have_name = 'name' in object;
  const have_uri = 'uri' in object;
  return have_id && have_name && have_uri;
}
/**数据库类型-File类型
 * e.g.:[{id:string,name:string,uri:string}]
 */
class File extends mongoose.SchemaType {
  constructor(key, options) {
    super(key, options, 'File');
  }
  cast(val: Array<object>) {
    for (const o of val) {
      const result = instanceOfFile(o);
      if (!result) throw new mongoose.Error.ObjectParameterError('file object properties are miss, should have: id name uri');
    }
    return val;
  }
}
// 挂载
mongoose.Schema.Types['File'] = File;
export default File;
