'use strict';
/**
 * 表的meta字段
 * {
 *  state:{ type: Number, default: 0 },
 *  createdAt: timestamps,
 *  updatedAt: timestamps
 * }
 */
export default schema => {
  schema.add({
    meta: {
      state: { type: Number, default: 0 }, // 数据状态: 0-正常；1-标记删除
      comment: String,
    },
  });
  schema.set('timestamps', {
    createdAt: 'meta.createdAt',
    updatedAt: 'meta.updatedAt',
  });
};
